--- a/cmd/registry/config-example.yml
+++ b/cmd/registry/config-example.yml
@@ -1,22 +1,40 @@
 version: 0.1
 log:
-  fields:
-    service: registry
+  level: info
+  accesslog:
+    disabled: false
+  # If you prefer logging to a file, change 'formatter' to "text" or "json",
+  # remove 'hooks', and uncomment 'logfile' in /etc/conf.d/docker-registry.
+  formatter: syslog
+  hooks:
+    - type: syslog
 storage:
   cache:
     blobdescriptor: inmemory
   filesystem:
-    rootdirectory: /var/lib/registry
+    rootdirectory: /var/lib/docker-registry
+  delete:
+    enabled: false
 http:
   addr: :5000
   headers:
     X-Content-Type-Options: [nosniff]
+  # Enable the debug endpoint. This may be used by the init script to check if
+  # the daemon is healthy. See healthcheck_url in /etc/conf.d/docker-registry.
+  debug:
+    addr: localhost:5001
 auth:
   htpasswd:
     realm: basic-realm
-    path: /etc/registry
+    path: /etc/docker-registry
 health:
   storagedriver:
     enabled: true
     interval: 10s
     threshold: 3
+
+# Uncomment to use this Registry as pull-through cache for DockerHub.
+#proxy:
+#  remoteurl: https://registry-1.docker.io
+#  username:
+#  password:
